# Pre Sales

### Purpose

Supports the sales team by providing technical expertise and demonstrating the value of the software product to potential customers.

### Key Processes

* Product Demos and Presentations: Creating and delivering compelling demonstrations of the product to prospective customers, showcasing features and capabilities.
* Technical Consultation: Working with potential customers to understand their technical requirements and providing solutions that fit their needs.
* RFP/RFI Responses: Assisting with the preparation of responses to Requests for Proposals (RFPs) and Requests for Information (RFIs) by providing technical content and aligning with customer needs.
* Sales Enablement: Developing technical content and resources to enable the sales team to sell more effectively (e.g., sales playbooks, competitive analysis, objection handling).

### Product Demo and Presentations

This is the set of activities to be performed:

1) Meeting preparation

    * Sales rep are defining the meeting goals and briefing the pre-sales engineer about relevant information and context to personalize the demo ad much as we can. Sales rep should fill the specific form for this purpose
    * Pre-sales engineer define topics and customize deck and demo in case is needed

2) Meeting execution

    * During the meeting the pre sale try to collect additional information to feed the product manager with insightful information
    * Miro update
    * HubSpot update with relevant insights about the prospect data
    * Try to get a follow up :-)
    * Customized demos, live demonstrations, Q&A sessions, scenario-based demo are just a couple of different meetings the pre sales should support

**Modus Operandi**: We adopt the Challenger sale model, so we always try to lead the conversation with insights from the market and literature.

### Technical consultations

Pre sales engineer must be ready to jump into any topic to clarify doubts of the prospects and clarify how it is possible to move forward in the conversation.

* Deep-Dive Discovery Sessions: Conducting in-depth discussions with prospects to gather detailed information about their current processes, challenges, and goals.
* Requirements Gathering: Documenting the specific features, functionalities, and integrations required by the customer.
* Use Case Development: Identifying and developing use cases that demonstrate how the software will address the prospect's pain points and improve their business operations. This is particularly important when we are preparing for a POC or MVP, it will be the pre-sales to gather requirements, define the effort and explain the possible solutions. It is important to create proper documentation in this phase to smoothly handover to the post-sales team
* Technical Feasibility Analysis: Assessing the technical requirements and determining if the software can be effectively integrated into the prospect’s existing systems.

### RFP/RFI

The pre sales engineer is the main entry point for the completion of an RFP/RFI for the technical part, while the Sales rep is taking care of pricing and contract management.
During an RFP/RFI it is important to rely also on other Agile Lab functions as Internal Sales and Compliance circles.

### Sales Enablement

The pre sales engineer is responsible to build a pack of decks that can enable the sales process. Pre sales should understand the most important conversation topics and prospect interest and build proper slide decks to address them

### Handover

After closing a deal the pre-sales process is concluded and an handover towards people in the post sales is needed. In order to have effective handover we need:
* Documentation
* Internal kick-off meeting
* Customer kick-off